JQuery Migration Guide

Foswiki on occasion will upgrade to a new version of JQuery. At times this also introduces incompatibilities between individual JQuery extensions. This supplemental document is intended to help upgrading topics and wiki applications that are affected by a JQuery change.

Foswiki 1.1.4 JQuery Changes

JQuery has been updated to version 1.6.4. It is important to change your configured JQuery version in configure to Version 1.6.4

AutoCompletePlugin

The older JQuery Autocomplete Plugin has been replaced by the newer JQueryUI Autocomplete widget. The author of the original JQuery Autocomplete discontinued support and has replaced it with a component of the JQueryUI package. A detailed migration guide is available: http://www.learningjquery.com/2010/06/autocomplete-migration-guide. The changes are fairly extensive including use of JSON. This blog entry describes some of the reasons behind the change.

TextBoxListPlugin

migration information needed

Chili

The Chili highlighter plugin is not functional on Firefox 7 and Safari Rev. 6-17-2011. The bug is in the browser's regular expression engine, but the result is that some of the Foswiki documentation will have truncated examples. We recommend that the JQuery Chili plugin be disabled.

BasicForm edit

TopicClassification SupplementalDoc
Topic Summary Details on upgrading between Foswiki JQuery releases
Extension JQueryPlugin
Interested Parties
Related Topics
Topic revision: r2 - 09 Nov 2011, GeorgeClark
 
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. see CopyrightStatement. Creative Commons License